.contact-top {
	position: fixed;
	z-index: 100;
	bottom: var(--spacing-20);
	right: 0;

	@media (width > 1280px) {
		bottom: var(--spacing-100);
	}
}

.contact-top__btn {
	background: none;
	border: none;
	cursor: pointer;
	display: block;
	line-height: 0;
	padding: 0;
	transition: color 0.2s ease;
}

.contact-top__btn svg {
	display: block;
	width: 3.3rem;
	height: auto;
}

.contact-top__btn--contact {
	color: var(--teal-contrast);

	&:hover {
		color: var(--white);
	}
}

.contact-top__btn--top {
	color: var(--orange);
	display: none;

	&:hover {
		color: var(--white);
	}
}

.contact-top--scrolled {
	.contact-top__btn--contact {
		display: none;
	}

	.contact-top__btn--top {
		display: block;
	}
}
